// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "StatusEffect.generated.h"

/**
 * 
 */
UCLASS(Abstract)
class THE_TWILIGHT_ABYSS_API UStatusEffect : public UObject
{
	GENERATED_BODY()
	
public:
	UPROPERTY()
	FString Name;
	UPROPERTY()
	FString Description;
	UPROPERTY()
	UStaticMesh* Icon;

	UFUNCTION()
	virtual void Invoke(ACharacter* Character);
};
