// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "BaseItem.h"
#include "the_twilight_abyss/TurnBasedCombatV2/TurnBaseCombatV2.h"
#include "EatableItems.generated.h"

/**
 * 
 */
UCLASS()
class THE_TWILIGHT_ABYSS_API UEatableItems : public UBaseItem
{
	GENERATED_BODY()
	UEatableItems();


protected:
	
	virtual void Use(class ATempCharacter* Character) override;


private:

	ATurnBaseCombatV2* TurnBaseCombat;
};
